Bug 773567 - gluster's GET/PUT method feature with getxattr()/setxattr() is not working.
gluster's GET/PUT method feature with getxattr()/setxattr() is not working.
Status: CLOSED EOL
Product: GlusterFS
Classification: Community
Component: core (Show other bugs)
mainline
Unspecified Unspecified
low Severity unspecified
: ---
: ---
Assigned To: Ric Wheeler
:
: 782257 782685 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-12 04:37 EST by Amar Tumballi
Modified: 2015-10-22 11:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-22 11:46:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Amar Tumballi 2012-01-12 04:37:41 EST
Description of problem:
Long back when GlusterFS was in still Alpha state (may be 1.3.x releases), we had a feature to create/edit a file, read a file using setxattr()/getxattr() syscalls.
Currently some part of the code is present in posix.c but its not getting hit at all. (found during code-coverage runs)

Version-Release number of selected component (if applicable):
master

How reproducible:
everytime.


Steps to Reproduce:
1. Make sure its a empty mountpoint, with just one brick in volume (ls /mnt/glusterfs)

2. bash# setxattr -n glusterfs.file.testfile -v "helloworld" /mnt/glusterfs

3. bash# cat /mnt/glusterfs/testfile (should show 'helloworld' as content).
  
Actual results:
setxattr command fails

Expected results:
The above sequence of commands should work fine.
Comment 1 Amar Tumballi 2012-01-16 19:46:57 EST
*** Bug 782257 has been marked as a duplicate of this bug. ***
Comment 2 Amar Tumballi 2012-01-18 06:34:54 EST
*** Bug 782685 has been marked as a duplicate of this bug. ***
Comment 3 Amar Tumballi 2012-10-25 07:58:09 EDT
currently planning to remove the 'edit'/modify option of the file... only create and read will be supported from the xattr, which helps to reduce the race conditions. posted patch @ http://review.gluster.org/2605
Comment 7 Kaleb KEITHLEY 2015-10-22 11:46:38 EDT
because of the large number of bugs filed against mainline version\ is ambiguous and about to be removed as a choice.

If you believe this is still a bug, please change the status back to NEW and choose the appropriate, applicable version for it.

Note You need to log in before you can comment on or make changes to this bug.